classification
Title: Document contextvars C API
Type: enhancement Stage: resolved
Components: C API, Documentation Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Elvis.Pranskevichus, docs@python, iritkatriel, miss-islington, yselivanov
Priority: normal Keywords: patch

Created on 2018-05-21 17:28 by Elvis.Pranskevichus, last changed 2020-10-20 11:09 by iritkatriel. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7033 merged Elvis.Pranskevichus, 2018-05-21 17:31
PR 7059 merged miss-islington, 2018-05-22 17:33
Messages (4)
msg317244 - (view) Author: Elvis Pranskevichus (Elvis.Pranskevichus) * (Python triager) Date: 2018-05-21 17:28
The C API for PEP 567 is currently missing.
msg317310 - (view) Author: Yury Selivanov (yselivanov) * (Python committer) Date: 2018-05-22 17:32
New changeset b2f5f59ae15564b991f3ca4850e6ad28d9faacbc by Yury Selivanov (Elvis Pranskevichus) in branch 'master':
bpo-33592: Document the C API in PEP 567 (contextvars) (GH-7033)
https://github.com/python/cpython/commit/b2f5f59ae15564b991f3ca4850e6ad28d9faacbc
msg317316 - (view) Author: miss-islington (miss-islington) Date: 2018-05-22 17:58
New changeset afec2d583a06849c5080c6cd40266743c8e04b3e by Miss Islington (bot) in branch '3.7':
bpo-33592: Document the C API in PEP 567 (contextvars) (GH-7033)
https://github.com/python/cpython/commit/afec2d583a06849c5080c6cd40266743c8e04b3e
msg378791 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-10-16 23:25
Can this be closed?
History
Date User Action Args
2020-10-20 11:09:23iritkatrielsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-10-16 23:25:44iritkatrielsetnosy: + iritkatriel
messages: + msg378791
2019-12-09 16:13:46vstinnersetcomponents: + C API
2018-05-22 17:58:04miss-islingtonsetnosy: + miss-islington
messages: + msg317316
2018-05-22 17:33:08miss-islingtonsetpull_requests: + pull_request6691
2018-05-22 17:32:02yselivanovsetmessages: + msg317310
2018-05-21 17:31:23Elvis.Pranskevichussetkeywords: + patch
stage: patch review
pull_requests: + pull_request6679
2018-05-21 17:28:43Elvis.Pranskevichuscreate